(* Wavelet Kompressor 2.5 (c) 2002 by Daniel Vollmer (maven@maven.de)

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *)
unit Image_Form;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, Menus;

type
  TFormImage = class(TForm)
    Image: TImage;
    PopupMenu1: TPopupMenu;
    SaveasBMP1: TMenuItem;
    SaveBMPDialog: TSaveDialog;
    procedure SaveasBMP1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
    CloseFunction: procedure(Form: TFormImage) of object;
  end;

implementation

{$R *.DFM}

procedure TFormImage.SaveasBMP1Click(Sender: TObject);
begin
  SaveBMPDialog.Options := SaveBMPDialog.Options - [ofExtensionDifferent];
  if (SaveBMPDialog.Execute()) then begin
    if (ofExtensionDifferent in SaveBMPDialog.Options) then
      SaveBMPDialog.FileName := ChangeFileExt(SaveBMPDialog.FileName, '.bmp');
    Image.Picture.SaveToFile(SaveBMPDialog.FileName);
  end;
end;

procedure TFormImage.FormCreate(Sender: TObject);
begin
  CloseFunction := Nil;
end;

procedure TFormImage.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  if (@CloseFunction <> Nil) then
    CloseFunction(Self);
end;

end.
