(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     15849,        439]*)
(*NotebookOutlinePosition[     16504,        462]*)
(*  CellTagsIndexPosition[     16460,        458]*)
(*WindowFrame->Normal*)



Notebook[{
Cell[BoxData[
    \(avg[
        x_] := \(\(1/
          8\)\(*\)\((\(-p[2*x - 2]\) + 2  p[2*x - 1] + 6  p[2*x] + 
            2  p[2*x + 1] - p[2*x + 2])\)\(\ \)\( (*\ 
          averaging\ filter\ *) \)\)\)], "Input"],

Cell[BoxData[
    \(det[x_] := 
      p[2*x + 1] - \(\(1/2\) \((p[2*x + 2] + p[2*x])\)\(\ \)\( (*\ 
            detail\ filter\ *) \)\)\)], "Input"],

Cell[BoxData[
    \(\(\(inve[x_, y_, ea_, ed_]\)\(:=\)\(Expand[
        Simplify[\((avg[x] - 
                ea[x, y])\) - \((\((det[x] - ed[x, y])\) + \((det[x - 1] - 
                      ed[x - 1, y])\))\)/4]]\)\(\ \)\( (*\ 
        the\ even\ inverse\ *) \)\)\)], "Input"],

Cell[BoxData[
    \(\(\(invo[x_, y_, ea_, ed_]\)\(:=\)\(Expand[
        Simplify[\((det[x] - 
                ed[x, y])\) + \((inve[x + 1, y, ea, ed] + 
                  inve[x, y, ea, ed])\)/2]]\)\(\ \)\( (*\ 
        the\ odd\ inverse\ *) \)\)\)], "Input"],

Cell[BoxData[
    \( (*\ now\ compute\ the\ error\ terms . \ 
          first\ apply\ inverse\ along\ rows\ *) \)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(inve[x/2, y, lh, rh]\)], "Input"],

Cell[BoxData[
    \(\(-lh[x\/2, y]\) + p[x] + 1\/4\ rh[\(-1\) + x\/2, y] + 
      1\/4\ rh[x\/2, y]\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(sumXevenYeven\  = \ \(-inve[y/2, x/2, avg, vd]\) + 
        1/4*inve[y/2, x/2 - 1, hd, dd] + 
        1/4*inve[y/2, x/2, hd, dd]\)], "Input"],

Cell[BoxData[
    \(avg[y\/2, x\/2] - p[y] + 
      1\/4\ \((1\/4\ dd[\(-1\) + y\/2, \(-1\) + x\/2] + 
            1\/4\ dd[\(-1\) + y\/2, x\/2] + 1\/4\ dd[y\/2, \(-1\) + x\/2] + 
            1\/4\ dd[y\/2, x\/2] - hd[y\/2, \(-1\) + x\/2] - hd[y\/2, x\/2] + 
            2\ p[y])\) - 1\/4\ vd[\(-1\) + y\/2, x\/2] - 
      1\/4\ vd[y\/2, x\/2]\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(sumXevenYodd = \(-invo[y/2, x/2, avg, vd]\) + 
        1/4*invo[y/2, x/2 - 1, hd, dd] + 
        1/4*invo[y/2, x/2, hd, dd]\)], "Input"],

Cell[BoxData[
    \(1\/2\ avg[1 + y\/2, x\/2] + 1\/2\ avg[y\/2, x\/2] - p[1 + y] + 
      1\/4\ \((1\/8\ dd[\(-1\) + y\/2, \(-1\) + x\/2] + 
            1\/8\ dd[\(-1\) + y\/2, x\/2] + 
            1\/8\ dd[1 + y\/2, \(-1\) + x\/2] + 1\/8\ dd[1 + y\/2, x\/2] - 
            3\/4\ dd[y\/2, \(-1\) + x\/2] - 3\/4\ dd[y\/2, x\/2] - 
            1\/2\ hd[1 + y\/2, \(-1\) + x\/2] - 1\/2\ hd[1 + y\/2, x\/2] - 
            1\/2\ hd[y\/2, \(-1\) + x\/2] - 1\/2\ hd[y\/2, x\/2] + 
            2\ p[1 + y])\) - 1\/8\ vd[\(-1\) + y\/2, x\/2] - 
      1\/8\ vd[1 + y\/2, x\/2] + 3\/4\ vd[y\/2, x\/2]\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(invo[x/2, y, lh, rh]\)], "Input"],

Cell[BoxData[
    \(\(-\(1\/2\)\)\ lh[1 + x\/2, y] - 1\/2\ lh[x\/2, y] + p[1 + x] + 
      1\/8\ rh[\(-1\) + x\/2, y] + 1\/8\ rh[1 + x\/2, y] - 
      3\/4\ rh[x\/2, y]\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(sumXoddYeven = \(-1\)/2*inve[y/2, x/2 + 1, avg, vd] - 
        1/2*inve[y/2, x/2, avg, vd] + 1/8*inve[y/2, x/2 - 1, hd, dd] - 
        3/4*inve[y/2, x/2, hd, dd] + 
        1/8*inve[y/2, x/2 + 1, hd, dd]\)], "Input"],

Cell[BoxData[
    \(1\/8\ \((1\/4\ dd[\(-1\) + y\/2, \(-1\) + x\/2] + 
            1\/4\ dd[y\/2, \(-1\) + x\/2] - hd[y\/2, \(-1\) + x\/2] + 
            p[y])\) + 
      1\/8\ \((1\/4\ dd[\(-1\) + y\/2, 1 + x\/2] + 1\/4\ dd[y\/2, 1 + x\/2] - 
            hd[y\/2, 1 + x\/2] + p[y])\) - 
      3\/4\ \((1\/4\ dd[\(-1\) + y\/2, x\/2] + 1\/4\ dd[y\/2, x\/2] - 
            hd[y\/2, x\/2] + p[y])\) + 
      1\/2\ \((avg[y\/2, 1 + x\/2] - p[y] - 
            1\/4\ vd[\(-1\) + y\/2, 1 + x\/2] - 1\/4\ vd[y\/2, 1 + x\/2])\) + 
      1\/2\ \((avg[y\/2, x\/2] - p[y] - 1\/4\ vd[\(-1\) + y\/2, x\/2] - 
            1\/4\ vd[y\/2, x\/2])\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(sumXoddYodd = \(-1\)/2*invo[y/2, x/2 + 1, avg, vd] - 
        1/2*invo[y/2, x/2, avg, vd] + 1/8*invo[y/2, x/2 - 1, hd, dd] - 
        3/4*invo[y/2, x/2, hd, dd] + 
        1/8*invo[y/2, x/2 + 1, hd, dd]\)], "Input"],

Cell[BoxData[
    \(1\/8\ \((1\/8\ dd[\(-1\) + y\/2, \(-1\) + x\/2] + 
            1\/8\ dd[1 + y\/2, \(-1\) + x\/2] - 
            3\/4\ dd[y\/2, \(-1\) + x\/2] - 
            1\/2\ hd[1 + y\/2, \(-1\) + x\/2] - 
            1\/2\ hd[y\/2, \(-1\) + x\/2] + p[1 + y])\) + 
      1\/8\ \((1\/8\ dd[\(-1\) + y\/2, 1 + x\/2] + 
            1\/8\ dd[1 + y\/2, 1 + x\/2] - 3\/4\ dd[y\/2, 1 + x\/2] - 
            1\/2\ hd[1 + y\/2, 1 + x\/2] - 1\/2\ hd[y\/2, 1 + x\/2] + 
            p[1 + y])\) - 
      3\/4\ \((1\/8\ dd[\(-1\) + y\/2, x\/2] + 1\/8\ dd[1 + y\/2, x\/2] - 
            3\/4\ dd[y\/2, x\/2] - 1\/2\ hd[1 + y\/2, x\/2] - 
            1\/2\ hd[y\/2, x\/2] + p[1 + y])\) + 
      1\/2\ \((1\/2\ avg[1 + y\/2, 1 + x\/2] + 1\/2\ avg[y\/2, 1 + x\/2] - 
            p[1 + y] - 1\/8\ vd[\(-1\) + y\/2, 1 + x\/2] - 
            1\/8\ vd[1 + y\/2, 1 + x\/2] + 3\/4\ vd[y\/2, 1 + x\/2])\) + 
      1\/2\ \((1\/2\ avg[1 + y\/2, x\/2] + 1\/2\ avg[y\/2, x\/2] - p[1 + y] - 
            1\/8\ vd[\(-1\) + y\/2, x\/2] - 1\/8\ vd[1 + y\/2, x\/2] + 
            3\/4\ vd[y\/2, x\/2])\)\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \(\(tsum = 
        Simplify[\(sumXevenYeven + sumXevenYodd + sumXoddYeven + 
                sumXoddYodd\  /. avg[x_, y_] \[Rule] 0\) /. 
            p[x_] \[Rule] 0];\)\)], "Input"],

Cell[BoxData[
    \( (*\ Now\ try\ it\ the\ other\ way\ around . \ As\ it\ is\ symmetric, \ 
      we\ should\ get\ the\ same\ result ... \ *) \)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(inve[y/2, x, th, bh]\)], "Input"],

Cell[BoxData[
    \(1\/4\ bh[\(-1\) + y\/2, x] + 1\/4\ bh[y\/2, x] + p[y] - 
      th[y\/2, x]\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(sumYevenXeven\  = \ 
      1/4*inve[x/2, y/2 - 1, vd, dd] + 1/4*inve[x/2, y/2, vd, dd] - 
        inve[x/2, y/2, avg, hd]\)], "Input"],

Cell[BoxData[
    \(avg[x\/2, y\/2] - 1\/4\ hd[\(-1\) + x\/2, y\/2] - 
      1\/4\ hd[x\/2, y\/2] - p[x] + 
      1\/4\ \((1\/4\ dd[\(-1\) + x\/2, \(-1\) + y\/2] + 
            1\/4\ dd[x\/2, \(-1\) + y\/2] + p[x] - 
            vd[x\/2, \(-1\) + y\/2])\) + 
      1\/4\ \((1\/4\ dd[\(-1\) + x\/2, y\/2] + 1\/4\ dd[x\/2, y\/2] + p[x] - 
            vd[x\/2, y\/2])\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(sumYevenXodd\  = \ 
      1/4*invo[x/2, y/2 - 1, vd, dd] + 1/4*invo[x/2, y/2, vd, dd] - 
        invo[x/2, y/2, avg, hd]\)], "Input"],

Cell[BoxData[
    \(1\/2\ avg[1 + x\/2, y\/2] + 1\/2\ avg[x\/2, y\/2] - 
      1\/8\ hd[\(-1\) + x\/2, y\/2] - 1\/8\ hd[1 + x\/2, y\/2] + 
      3\/4\ hd[x\/2, y\/2] - p[1 + x] + 
      1\/4\ \((1\/8\ dd[\(-1\) + x\/2, \(-1\) + y\/2] + 
            1\/8\ dd[1 + x\/2, \(-1\) + y\/2] - 
            3\/4\ dd[x\/2, \(-1\) + y\/2] + p[1 + x] - 
            1\/2\ vd[1 + x\/2, \(-1\) + y\/2] - 
            1\/2\ vd[x\/2, \(-1\) + y\/2])\) + 
      1\/4\ \((1\/8\ dd[\(-1\) + x\/2, y\/2] + 1\/8\ dd[1 + x\/2, y\/2] - 
            3\/4\ dd[x\/2, y\/2] + p[1 + x] - 1\/2\ vd[1 + x\/2, y\/2] - 
            1\/2\ vd[x\/2, y\/2])\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(invo[y/2, x, th, bh]\)], "Input"],

Cell[BoxData[
    \(1\/8\ bh[\(-1\) + y\/2, x] + 1\/8\ bh[1 + y\/2, x] - 
      3\/4\ bh[y\/2, x] + p[1 + y] - 1\/2\ th[1 + y\/2, x] - 
      1\/2\ th[y\/2, x]\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(sumYoddXeven = 
      1/8*inve[x/2, y/2 - 1, vd, dd] - 3/4*inve[x/2, y/2, vd, dd] + 
        1/8*inve[x/2, y/2 + 1, vd, dd] - 1/2*inve[x/2, y/2, avg, hd] - 
        1/2*inve[x/2, y/2 + 1, avg, hd]\)], "Input"],

Cell[BoxData[
    \(1\/2\ \((avg[x\/2, 1 + y\/2] - 1\/4\ hd[\(-1\) + x\/2, 1 + y\/2] - 
            1\/4\ hd[x\/2, 1 + y\/2] - p[x])\) + 
      1\/2\ \((avg[x\/2, y\/2] - 1\/4\ hd[\(-1\) + x\/2, y\/2] - 
            1\/4\ hd[x\/2, y\/2] - p[x])\) + 
      1\/8\ \((1\/4\ dd[\(-1\) + x\/2, \(-1\) + y\/2] + 
            1\/4\ dd[x\/2, \(-1\) + y\/2] + p[x] - 
            vd[x\/2, \(-1\) + y\/2])\) + 
      1\/8\ \((1\/4\ dd[\(-1\) + x\/2, 1 + y\/2] + 1\/4\ dd[x\/2, 1 + y\/2] + 
            p[x] - vd[x\/2, 1 + y\/2])\) - 
      3\/4\ \((1\/4\ dd[\(-1\) + x\/2, y\/2] + 1\/4\ dd[x\/2, y\/2] + p[x] - 
            vd[x\/2, y\/2])\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(sumYoddXodd = 
      1/8*invo[x/2, y/2 - 1, vd, dd] - 3/4*invo[x/2, y/2, vd, dd] + 
        1/8*invo[x/2, y/2 + 1, vd, dd] - 1/2*invo[x/2, y/2, avg, hd] - 
        1/2*invo[x/2, y/2 + 1, avg, hd]\)], "Input"],

Cell[BoxData[
    \(1\/2\ \((1\/2\ avg[1 + x\/2, 1 + y\/2] + 1\/2\ avg[x\/2, 1 + y\/2] - 
            1\/8\ hd[\(-1\) + x\/2, 1 + y\/2] - 
            1\/8\ hd[1 + x\/2, 1 + y\/2] + 3\/4\ hd[x\/2, 1 + y\/2] - 
            p[1 + x])\) + 
      1\/2\ \((1\/2\ avg[1 + x\/2, y\/2] + 1\/2\ avg[x\/2, y\/2] - 
            1\/8\ hd[\(-1\) + x\/2, y\/2] - 1\/8\ hd[1 + x\/2, y\/2] + 
            3\/4\ hd[x\/2, y\/2] - p[1 + x])\) + 
      1\/8\ \((1\/8\ dd[\(-1\) + x\/2, \(-1\) + y\/2] + 
            1\/8\ dd[1 + x\/2, \(-1\) + y\/2] - 
            3\/4\ dd[x\/2, \(-1\) + y\/2] + p[1 + x] - 
            1\/2\ vd[1 + x\/2, \(-1\) + y\/2] - 
            1\/2\ vd[x\/2, \(-1\) + y\/2])\) + 
      1\/8\ \((1\/8\ dd[\(-1\) + x\/2, 1 + y\/2] + 
            1\/8\ dd[1 + x\/2, 1 + y\/2] - 3\/4\ dd[x\/2, 1 + y\/2] + 
            p[1 + x] - 1\/2\ vd[1 + x\/2, 1 + y\/2] - 
            1\/2\ vd[x\/2, 1 + y\/2])\) - 
      3\/4\ \((1\/8\ dd[\(-1\) + x\/2, y\/2] + 1\/8\ dd[1 + x\/2, y\/2] - 
            3\/4\ dd[x\/2, y\/2] + p[1 + x] - 1\/2\ vd[1 + x\/2, y\/2] - 
            1\/2\ vd[x\/2, y\/2])\)\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \(\(\(tsum2 = \(\(Simplify[\(sumYevenXeven + sumYevenXodd + 
                    sumYoddXeven + sumYoddXodd\  /. avg[x_, y_] \[Rule] 0\) /. 
                p[x_] \[Rule] 0] /. hd[x_, y_] \[Rule] hd[y, x]\) /. 
          vd[x_, y_] \[Rule] vd[y, x]\) /. 
        dd[x_, y_] \[Rule] dd[y, x]\)\(;\)\( (*\ 
      transpose\ because\ we\ applied\ the\ functions\ in\ the\ other\ order*) \
\)\)\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(Simplify[tsum - tsum2]\)\(\ \)\( (*\ 
      praying ... \ *) \)\)\)], "Input"],

Cell[BoxData[
    \(0\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Simplify[\(sumXevenYeven /. avg[x_, y_] \[Rule] 0\) /. 
        p[x_] \[Rule] 0]\)], "Input"],

Cell[BoxData[
    \(1\/16\ \((dd[\(-1\) + y\/2, \(-1\) + x\/2] + dd[\(-1\) + y\/2, x\/2] + 
          dd[y\/2, \(-1\) + x\/2] + dd[y\/2, x\/2] - 
          4\ hd[y\/2, \(-1\) + x\/2] - 4\ hd[y\/2, x\/2] - 
          4\ vd[\(-1\) + y\/2, x\/2] - 4\ vd[y\/2, x\/2])\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Simplify[\(sumXevenYodd /. avg[x_, y_] \[Rule] 0\) /. 
        p[x_] \[Rule] 0]\)], "Input"],

Cell[BoxData[
    \(1\/32\ \((dd[\(-1\) + y\/2, \(-1\) + x\/2] + dd[\(-1\) + y\/2, x\/2] + 
          dd[1 + y\/2, \(-1\) + x\/2] + dd[1 + y\/2, x\/2] - 
          6\ dd[y\/2, \(-1\) + x\/2] - 6\ dd[y\/2, x\/2] - 
          4\ hd[1 + y\/2, \(-1\) + x\/2] - 4\ hd[1 + y\/2, x\/2] - 
          4\ hd[y\/2, \(-1\) + x\/2] - 4\ hd[y\/2, x\/2] - 
          4\ vd[\(-1\) + y\/2, x\/2] - 4\ vd[1 + y\/2, x\/2] + 
          24\ vd[y\/2, x\/2])\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Simplify[\(sumXoddYeven /. avg[x_, y_] \[Rule] 0\) /. 
        p[x_] \[Rule] 0]\)], "Input"],

Cell[BoxData[
    \(1\/32\ \((dd[\(-1\) + y\/2, \(-1\) + x\/2] + 
          dd[\(-1\) + y\/2, 1 + x\/2] - 6\ dd[\(-1\) + y\/2, x\/2] + 
          dd[y\/2, \(-1\) + x\/2] + dd[y\/2, 1 + x\/2] - 6\ dd[y\/2, x\/2] - 
          4\ hd[y\/2, \(-1\) + x\/2] - 4\ hd[y\/2, 1 + x\/2] + 
          24\ hd[y\/2, x\/2] - 4\ vd[\(-1\) + y\/2, 1 + x\/2] - 
          4\ vd[\(-1\) + y\/2, x\/2] - 4\ vd[y\/2, 1 + x\/2] - 
          4\ vd[y\/2, x\/2])\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Simplify[\(sumXoddYodd /. avg[x_, y_] \[Rule] 0\) /. 
        p[x_] \[Rule] 0]\)], "Input"],

Cell[BoxData[
    \(1\/64\ \((dd[\(-1\) + y\/2, \(-1\) + x\/2] + 
          dd[\(-1\) + y\/2, 1 + x\/2] - 6\ dd[\(-1\) + y\/2, x\/2] + 
          dd[1 + y\/2, \(-1\) + x\/2] + dd[1 + y\/2, 1 + x\/2] - 
          6\ dd[1 + y\/2, x\/2] - 6\ dd[y\/2, \(-1\) + x\/2] - 
          6\ dd[y\/2, 1 + x\/2] + 36\ dd[y\/2, x\/2] - 
          4\ hd[1 + y\/2, \(-1\) + x\/2] - 4\ hd[1 + y\/2, 1 + x\/2] + 
          24\ hd[1 + y\/2, x\/2] - 4\ hd[y\/2, \(-1\) + x\/2] - 
          4\ hd[y\/2, 1 + x\/2] + 24\ hd[y\/2, x\/2] - 
          4\ vd[\(-1\) + y\/2, 1 + x\/2] - 4\ vd[\(-1\) + y\/2, x\/2] - 
          4\ vd[1 + y\/2, 1 + x\/2] - 4\ vd[1 + y\/2, x\/2] + 
          24\ vd[y\/2, 1 + x\/2] + 24\ vd[y\/2, x\/2])\)\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \( (*\ all\ terms\ are\ linear\ in\ the\ averages ... \ *) \)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Simplify[\(\(\(sumXevenYeven /. vd[x_, y_] \[Rule] 0\) /. 
            p[x_] \[Rule] 0\) /. hd[x_, y_] \[Rule] 0\) /. 
        dd[x_, y_] \[Rule] 0]\)], "Input"],

Cell[BoxData[
    \(avg[y\/2, x\/2]\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Simplify[\(\(\(sumXevenYodd /. vd[x_, y_] \[Rule] 0\) /. 
            p[x_] \[Rule] 0\) /. hd[x_, y_] \[Rule] 0\) /. 
        dd[x_, y_] \[Rule] 0]\)], "Input"],

Cell[BoxData[
    \(1\/2\ \((avg[1 + y\/2, x\/2] + avg[y\/2, x\/2])\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Simplify[\(\(\(sumXoddYeven /. vd[x_, y_] \[Rule] 0\) /. 
            p[x_] \[Rule] 0\) /. hd[x_, y_] \[Rule] 0\) /. 
        dd[x_, y_] \[Rule] 0]\)], "Input"],

Cell[BoxData[
    \(1\/2\ \((avg[y\/2, 1 + x\/2] + avg[y\/2, x\/2])\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Simplify[\(\(\(sumXoddYodd /. vd[x_, y_] \[Rule] 0\) /. 
            p[x_] \[Rule] 0\) /. hd[x_, y_] \[Rule] 0\) /. 
        dd[x_, y_] \[Rule] 0]\)], "Input"],

Cell[BoxData[
    \(1\/4\ \((avg[1 + y\/2, 1 + x\/2] + avg[1 + y\/2, x\/2] + 
          avg[y\/2, 1 + x\/2] + avg[y\/2, x\/2])\)\)], "Output"]
}, Open  ]]
},
FrontEndVersion->"4.0 for Microsoft Windows",
ScreenRectangle->{{0, 1280}, {0, 939}},
WindowSize->{741, 754},
WindowMargins->{{Automatic, -1}, {Automatic, 30}}
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1717, 49, 219, 5, 50, "Input"],
Cell[1939, 56, 148, 3, 30, "Input"],
Cell[2090, 61, 278, 5, 70, "Input"],
Cell[2371, 68, 259, 5, 70, "Input"],
Cell[2633, 75, 124, 2, 30, "Input"],

Cell[CellGroupData[{
Cell[2782, 81, 53, 1, 30, "Input"],
Cell[2838, 84, 113, 2, 42, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2988, 91, 161, 3, 50, "Input"],
Cell[3152, 96, 357, 6, 108, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3546, 107, 156, 3, 50, "Input"],
Cell[3705, 112, 603, 9, 178, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[4345, 126, 53, 1, 30, "Input"],
Cell[4401, 129, 182, 3, 42, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[4620, 137, 236, 4, 70, "Input"],
Cell[4859, 143, 645, 11, 178, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[5541, 159, 235, 4, 70, "Input"],
Cell[5779, 165, 1092, 18, 280, "Output"]
}, Open  ]],
Cell[6886, 186, 201, 4, 50, "Input"],
Cell[7090, 192, 156, 2, 30, "Input"],

Cell[CellGroupData[{
Cell[7271, 198, 53, 1, 30, "Input"],
Cell[7327, 201, 108, 2, 42, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[7472, 208, 154, 3, 50, "Input"],
Cell[7629, 213, 380, 7, 110, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[8046, 225, 153, 3, 50, "Input"],
Cell[8202, 230, 637, 11, 144, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[8876, 246, 53, 1, 30, "Input"],
Cell[8932, 249, 173, 3, 42, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[9142, 257, 229, 4, 70, "Input"],
Cell[9374, 263, 645, 11, 178, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[10056, 279, 228, 4, 70, "Input"],
Cell[10287, 285, 1105, 19, 314, "Output"]
}, Open  ]],
Cell[11407, 307, 421, 7, 90, "Input"],

Cell[CellGroupData[{
Cell[11853, 318, 102, 2, 30, "Input"],
Cell[11958, 322, 35, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[12030, 328, 113, 2, 30, "Input"],
Cell[12146, 332, 279, 4, 74, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[12462, 341, 112, 2, 30, "Input"],
Cell[12577, 345, 451, 7, 105, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[13065, 357, 112, 2, 30, "Input"],
Cell[13180, 361, 451, 7, 105, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[13668, 373, 111, 2, 30, "Input"],
Cell[13782, 377, 721, 11, 167, "Output"]
}, Open  ]],
Cell[14518, 391, 90, 1, 30, "Input"],

Cell[CellGroupData[{
Cell[14633, 396, 181, 3, 30, "Input"],
Cell[14817, 401, 49, 1, 40, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[14903, 407, 180, 3, 30, "Input"],
Cell[15086, 412, 83, 1, 42, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[15206, 418, 180, 3, 30, "Input"],
Cell[15389, 423, 83, 1, 42, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[15509, 429, 179, 3, 30, "Input"],
Cell[15691, 434, 142, 2, 42, "Output"]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

